Loading...
Searching...
No Matches
log4shib::IdsaAppender Class Reference

IdsaAppender is an Appender that sends LoggingEvents to the IDS/A logger and reference monitor by Marc Welz. More...

`#include <IdsaAppender.hh>`

Inheritance diagram for log4shib::IdsaAppender:
[legend]
Collaboration diagram for log4shib::IdsaAppender:
[legend]

## Public Member Functions

| IdsaAppender (const std::string &name, const std::string &idsaName)
| Instantiate an IdsaAppender with given name and name.
virtual | ~IdsaAppender ()
virtual bool | reopen ()
| Calls idsa_open() and idsa_close().
virtual void | close ()
| Calls idsa_close().
virtual bool | requiresLayout () const
| The IdsaAppender does its own Layout.
virtual void | setLayout (Layout *layout)
| Set the Layout for this appender.
Public Member Functions inherited from log4shib::AppenderSkeleton
virtual | ~AppenderSkeleton ()
| Destructor for AppenderSkeleton.
virtual void | doAppend (const LoggingEvent &event)
| Log in Appender specific way.
virtual void | setThreshold (Priority::Value priority)
| Set the threshold priority of this Appender.
virtual Priority::Value | getThreshold ()
| Get the threshold priority of this Appender.
virtual void | setFilter (Filter *filter)
| Set a Filter for this appender.
virtual Filter * | getFilter ()
| Get the Filter for this appender.
Public Member Functions inherited from log4shib::Appender
virtual | ~Appender ()
| Destructor for Appender.
const std::string & | getName () const
| Get the name of this appender.

## Protected Member Functions

virtual void | open ()
| Calls idsa_open().
virtual void | _append (const LoggingEvent &event)
| Sends a LoggingEvent to idsa.
Protected Member Functions inherited from log4shib::AppenderSkeleton
| AppenderSkeleton (const std::string &name)
| Constructor for AppenderSkeleton.
Protected Member Functions inherited from log4shib::Appender
| Appender (const std::string &name)
| Constructor for Appender.

## Protected Attributes

const std::string | _idsaName
IDSA_CONNECTION * | _idsaConnection

## Additional Inherited Members

Static Public Member Functions inherited from log4shib::Appender
static Appender * | getAppender (const std::string &name)
| Get a pointer to an exitsing Appender.
static bool | reopenAll ()
| Call reopen() on all existing Appenders.
static void | closeAll ()
| Call reopen() on all existing Appenders.

## Detailed Description

IdsaAppender is an Appender that sends LoggingEvents to the IDS/A logger and reference monitor by Marc Welz.

See http://jade.cs.uct.ac.za/idsa/ for more information on IDS/A.

## Constructor & Destructor Documentation

## IdsaAppender()

log4shib::IdsaAppender::IdsaAppender | ( | const std::string & | name,
|  | const std::string & | idsaName )

Instantiate an IdsaAppender with given name and name.

Unlike the syslog API, idsa allows multiple connections.

Parameters

  name | The name of the Appender
  idsaName | The service parameter of idsa

## ~IdsaAppender()

virtual log4shib::IdsaAppender::~IdsaAppender | ( |  | ) |

virtual

## Member Function Documentation

## _append()

virtual void log4shib::IdsaAppender::_append | ( | const LoggingEvent & | event | ) |

protected virtual

Sends a LoggingEvent to idsa.

Parameters

  event | the LoggingEvent to log.

Implements log4shib::AppenderSkeleton.

## close()

virtual void log4shib::IdsaAppender::close | ( |  | ) |

virtual

Calls idsa_close().

Implements log4shib::AppenderSkeleton.

## open()

virtual void log4shib::IdsaAppender::open | ( |  | ) |

protected virtual

Calls idsa_open().

## reopen()

virtual bool log4shib::IdsaAppender::reopen | ( |  | ) |

virtual

Calls idsa_open() and idsa_close().

Reimplemented from log4shib::AppenderSkeleton.

## requiresLayout()

virtual bool log4shib::IdsaAppender::requiresLayout | ( |  | ) | const

virtual

The IdsaAppender does its own Layout.

Returns
  false

Implements log4shib::AppenderSkeleton.

## setLayout()

virtual void log4shib::IdsaAppender::setLayout | ( | Layout * | layout | ) |

virtual

Set the Layout for this appender.

Parameters

  layout | The layout to use.

Implements log4shib::AppenderSkeleton.

## Member Data Documentation

## _idsaConnection

IDSA_CONNECTION* log4shib::IdsaAppender::_idsaConnection

protected

## _idsaName

const std::string log4shib::IdsaAppender::_idsaName

protected

The documentation for this class was generated from the following file:

- IdsaAppender.hh